Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.spring.executions
Class OperationExecutionWebRequestRegistrationInterceptor

    java.lang.Object
      kieker.monitoring.probe.spring.executions.OperationExecutionWebRequestRegistrationInterceptor

All Implemented Interfaces:
  org.springframework.web.context.request.WebRequestInterceptor

    public class OperationExecutionWebRequestRegistrationInterceptor

extends Object
implements org.springframework.web.context.request.WebRequestInterceptor

Since:
  0.9
Author:
  Andre van Hoorn

Constructor Summary
`OperationExecutionWebRequestRegistrationInterceptor()` Creates a new instance of this class.

Method Summary
`void` | `afterCompletion(org.springframework.web.context.request.WebRequest request, Exception map)`
`void` | `postHandle(org.springframework.web.context.request.WebRequest request, org.springframework.ui.ModelMap map)`
`void` | `preHandle(org.springframework.web.context.request.WebRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationExecutionWebRequestRegistrationInterceptor

    public OperationExecutionWebRequestRegistrationInterceptor()

  Creates a new instance of this class.

Method Detail

### preHandle

    public void preHandle(org.springframework.web.context.request.WebRequest request)
                   throws Exception

  Specified by:
    `preHandle` in interface `org.springframework.web.context.request.WebRequestInterceptor`
  Throws:
    `Exception`

### postHandle

    public void postHandle(org.springframework.web.context.request.WebRequest request,
                           org.springframework.ui.ModelMap map)
                    throws Exception

  Specified by:
    `postHandle` in interface `org.springframework.web.context.request.WebRequestInterceptor`
  Throws:
    `Exception`

### afterCompletion

    public void afterCompletion(org.springframework.web.context.request.WebRequest request,
                                Exception map)
                         throws Exception

  Specified by:
    `afterCompletion` in interface `org.springframework.web.context.request.WebRequestInterceptor`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net